No longer able to use GUI after update

Bug #1365695 reported by Ivo Wever on 2014-09-04
318
This bug affects 60 people
Affects Status Importance Assigned to Milestone
nvidia-graphics-drivers-304-updates (Ubuntu)
Critical
Unassigned
Precise
Critical
Unassigned
Trusty
Critical
Unassigned
nvidia-graphics-drivers-331 (Ubuntu)
Critical
Unassigned
Precise
Critical
Unassigned
Trusty
Critical
Unassigned
nvidia-graphics-drivers-331-updates (Ubuntu)
Critical
Unassigned
Precise
Critical
Unassigned
Trusty
Critical
Unassigned
ubuntu-drivers-common (Ubuntu)
Critical
Unassigned
Precise
Critical
Unassigned
Trusty
Critical
Unassigned
xserver-xorg-video-intel (Ubuntu)
Critical
Unassigned
Precise
Critical
Unassigned
Trusty
Critical
Unassigned
xserver-xorg-video-intel-lts-trusty (Ubuntu)
Critical
Unassigned
Precise
Critical
Unassigned
Trusty
Critical
Unassigned

Bug Description

Until yesterday the 14.04 install on this Thinkpad T530 (nvidia Optimus) with nvidia-331 drivers worked just fine, including excellent multi-monitor behavior. Yesterday the set of packages below [1] was updated. I shut down, booted this morning and found out that I was not shown the lightdm login screen: I was stuck at the purple screen that precedes it (into which I enter my disk encryption password).

Now the funny thing is that I could hear the lightdm startup sound and could actually login by typing my password (disk activity and started processes verify I am actually logged in), but I can't see anything: I'm still stuck at the puple screen.

Uninstalling the nvidia drivers solved the problem: I'm typing this in a browser window using the nouveau drivers.

I atttempted switching to nvidia-304, but that doesn't work either. Using those drivers I am shown the lightdm login screen, but after logging in I'm stuck with a screen showing only the background image. Nothing else is available, no keyboard or mouse trickery will reveal any menu, dialog or terminal to gain access.

Since nouveau doesn't support a multi-monitor setup, it would be great if I someone could tell me how to get the nvidia drivers working again.

Some things I noticed:
- .xsession-errors reported 'Xlib: extension "GLX" missing on display ":0"'
- /var/log/Xorg.0.log reported 'setversion 1.4 failed: Permission denied'

[1] The packages that were updated:

Start-Date: 2014-09-03 15:07:38
Upgrade: libsystemd-login0:amd64 (204-5ubuntu20.4, 204-5ubuntu20.5), systemd-services:amd64 (204-5ubuntu20.4, 204-5ubuntu20.5), librbd1:amd64 (0.80.1-0ubuntu1.1, 0.80.5-0ubuntu0.14.04.1), ubuntu-drivers-common:amd64 (0.2.91.5, 0.2.91.6), libsystemd-daemon0:amd64 (204-5ubuntu20.4, 204-5ubuntu20.5), libgudev-1.0-0:amd64 (204-5ubuntu20.4, 204-5ubuntu20.5), libgudev-1.0-0:i386 (204-5ubuntu20.4, 204-5ubuntu20.5), libpam-systemd:amd64 (204-5ubuntu20.4, 204-5ubuntu20.5), librados2:amd64 (0.80.1-0ubuntu1.1, 0.80.5-0ubuntu0.14.04.1), shotwell-common:amd64 (0.18.0-0ubuntu4.1, 0.18.0-0ubuntu4.2), udev:amd64 (204-5ubuntu20.4, 204-5ubuntu20.5), shotwell:amd64 (0.18.0-0ubuntu4.1, 0.18.0-0ubuntu4.2), gir1.2-gudev-1.0:amd64 (204-5ubuntu20.4, 204-5ubuntu20.5), libudev-dev:amd64 (204-5ubuntu20.4, 204-5ubuntu20.5), libudev1:amd64 (204-5ubuntu20.4, 204-5ubuntu20.5), libudev1:i386 (204-5ubuntu20.4, 204-5ubuntu20.5), xserver-xorg-video-intel:amd64 (2.99.910-0ubuntu1, 2.99.910-0ubuntu1.1), libsystemd-journal0:amd64 (204-5ubuntu20.4, 204-5ubuntu20.5), rsyslog:amd64 (7.4.4-1ubuntu2, 7.4.4-1ubuntu2.1)
End-Date: 2014-09-03 15:08:06

ProblemType: Bug
DistroRelease: Ubuntu 14.04
Package: nvidia-current-updates (not installed)
ProcVersionSignature: Ubuntu 3.13.0-35.62-generic 3.13.11.6
Uname: Linux 3.13.0-35-generic x86_64
NonfreeKernelModules: nvidia
ApportVersion: 2.14.1-0ubuntu3.3
Architecture: amd64
CurrentDesktop: Unity
Date: Thu Sep 4 22:07:11 2014
SourcePackage: nvidia-graphics-drivers-304-updates
UpgradeStatus: Upgraded to trusty on 2014-06-03 (93 days ago)

Ivo Wever (ivo-wever) wrote :
description: updated
description: updated
Stephen Weinberg (d-stephen-r) wrote :

I am getting the same error since the update yesterday of ubuntu-drivers-common on my Thinkpad T530. I have a dock with 2 DVI, 1 VGA monitor hooked up. I also have one monitor hooked up via a display-port to hdmi cable coming from the laptop itself. It is the dock based VGA monitor that failed to be recognized.

Downgrading to ubuntu-drivers-common 0.2.91.5 fixed the problem.

See also: http://askubuntu.com/questions/519927/nvidia-driver-not-working-after-upgrade

If any devs would like more information, feel free to ask. Provide cmd/filename for me to upload.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in nvidia-graphics-drivers-304-updates (Ubuntu):
status: New → Confirmed
Changed in nvidia-graphics-drivers-331-updates (Ubuntu):
status: New → Confirmed
Changed in ubuntu-drivers-common (Ubuntu):
status: New → Confirmed
2 comments hidden view all 147 comments
Stephen Weinberg (d-stephen-r) wrote :

Slight correction. I have a W530, not a T530. It is also an Nvidia Optimus though.

Ingo Bürk (ingo-buerk) wrote :

I'm experiencing the same problem (I'm the OP from the link posted in #2) on my T530. However, downgrading ubuntu-drivers-common to 0.2.91.5 didn't work for me, even after reinstalling the nvidia drivers.

It seems as if something keeps changing the alternatives for x86_64-linux-gnu_gl_conf because if I change them, I can modprobe the nvidia driver. I just can't get the update to persist.

Switching to Discrete Graphics in the BIOS is a workaround for me because the nvidia driver can now load and I can use a multiple monitor setup. It's not a fix though and causes other (well-known) problems.

fcole90 (fcole90) wrote :

I have identified this bug after many tries upgrading and downgrading packages.

---TEMPORARY SOLUTION---

The issue does not happen if
1)I purge nvidia drivers
OR
if I downgrade to
2) sudo apt-get install ubuntu-drivers-common=1:0.2.91.4

Changed in nvidia-graphics-drivers-331 (Ubuntu):
status: New → Confirmed
fcole90 (fcole90) wrote :

Also until bug is solved I suggest to lock ubuntu-drivers-common upgrade by:
sudo echo “ubuntu-drivers-common hold” | sudo dpkg –set-selections

Ingo Bürk (ingo-buerk) wrote :

I can confirm now that downgrading to ubuntu-drivers-common=1:0.2.91.4 as suggested by Fabio actually seems to work, whereas ubuntu-drivers-common=1:0.2.91.5 was not enough. I also didn't have to reinstall nvidia drivers, the downgrade alone seems to be enough.

fcole90 (fcole90) wrote :

I also tried the version in proposed, 1:0.2.91.7 and it still doesn't work.

fcole90 (fcole90) wrote :

Trying the version 1:0.2.91.5 from https://launchpad.net/ubuntu/+source/ubuntu-drivers-common/1:0.2.91.5/+build/6043389 works in you download nvidia-commons and ubuntu-drivers-common and you install them with dpkg -i.

@Ingo Bürk can you try version 1:0.2.91.5 using:
sudo dpkg -i ubuntu-drivers-common_0.2.91.5_amd64.deb nvidia-common_0.2.91.5_amd64.deb
and report if it works for you? It works for me.

P.S. You cannot install 1:0.2.91.5 with sudo apt-get install ubuntu-drivers-common=1:0.2.91.5 because it's not published anymore.

If you confirm that 1:0.2.91.5 works also for you, the problem can be triaged and we'll look in diff between 1:0.2.91.5 and 1:0.2.91.6.

fcole90 (fcole90) on 2014-09-07
tags: added: needs-bisect performing-bisect regression-update
fcole90 (fcole90) wrote :
fcole90 (fcole90) wrote :
fcole90 (fcole90) wrote :
Ingo Bürk (ingo-buerk) wrote :

@Fabio I can confirm that

sudo dpkg -i ubuntu-drivers-common_0.2.91.5_amd64.deb nvidia-common_0.2.91.5_amd64.deb

still seems to work (nvidia driver is successfully loaded). I tried ubuntu-drivers-common_0.2.91.5 before and it didn't work, so I guess it's because I also downgraded nvidia-common_0.2.91.5 this time.
I agree, the problem seems to be in the diff ubuntu-drivers-common_0.2.91.5..ubuntu-drivers-common_0.2.91.6

fcole90 (fcole90) wrote :

Thank you, then we need to investigate which of the modifications caused the regression.

Alberto Milone (albertomilone) wrote :

Does the driver in trusty-proposed work for you (as per LP: #1310489) ?

fcole90 (fcole90) wrote :

If you mean 1:0.2.91.7, yes, and the issue was still present.

fcole90 (fcole90) wrote :

I have also tried it in utopic and I have the same issue

Luke Swart (lukeswart) wrote :

Will the above workarounds allow me to use my external monitor again? My monitor is connected via VGA. I had the same symptoms as the OP, and I tried the suggestions above and I can now log in but I can no longer detect my external monitor. In what order should I: purge Nvidia, purge Nvidia-prime/Nvidia-settings, install the Ubuntu-commons/Nvidia-commons .deb files, re-install Nvidia-prime, re-install Nvidia drivers?

I am using Ubuntu 14.04 with a ThinkPad W520, and Nvidia Prime.

I'm not sure if this is the right location for my question, but I have a post [here](http://askubuntu.com/questions/521354/multiple-monitors-and-nvidia-optimus-not-working-after-apt-get-update). Any suggestions are welcome.

Luke Swart (lukeswart) wrote :

With some help from the other subscribers here, I found an implementation for the workaround. It is detailed in the answer to my question posted above.

Alberto Milone (albertomilone) wrote :

Please reproduce the problem and attach the dmesg output.

Also, I don't see anything wrong in /var/log/gpu-manager.log. Was it collected after reproducing the problem? If not, please do so.

Rob Peters (makitso) wrote :

I run 64 bit ubuntu gnome 14.04.1 and use a Nvidia GTX750 card. I had the same blank screen before the login. Updating to the 340 Nvidia driver fixed the problem.

fcole90 (fcole90) wrote :

Adding logs as requested

fcole90 (fcole90) wrote :
fcole90 (fcole90) wrote :
  • syslog Edit (859.3 KiB, application/octet-stream)
fcole90 (fcole90) wrote :
fcole90 (fcole90) wrote :
Ivo Wever (ivo-wever) wrote :

My experience is slightly different from Fabio's. For me ubuntu-drivers-common 1:0.2.91.4 and 1:0.2.91.5 work, while 1:0.2.91.6 and 1:0.2.91.7 don't. I only changed ubuntu-drivers-common between reboots and never needed to reinstall the nvidia (331-updates) drivers.

fcole90 (fcole90) wrote :

That's the same for me, doesn't work since version 1:0.2.91.6. I hope that the attached logs may help with debug. I am available if more informations and or debugging are needed.

Same problem on my Thinkpad T430u . The only difference is that I get a screen with just the wallpaper and nothing else after the login screen.

Alberto Milone (albertomilone) wrote :

@Fabio: what's the output of the following command? (after reproducing the problem)

DISPLAY=:0 xrandr --listproviders

The logs look fine, by the way.

@Tryfon: then it must be a different problem. Please attach the following files (you can ssh into the machine and use the pastebin command line tool to upload the files):

1) /var/log/gpu-manager.log
2) /var/log/Xorg.0.log
3) the dmesg output
4) the output of DISPLAY=:0 xrandr --listproviders

fcole90 (fcole90) wrote :

The output is the following:
Invalid MIT-MAGIC-COOKIE-1 keyCan't open display :0

fcole90 (fcole90) wrote :

The version that I'm using when reporting is 1:0.2.91.7 (trusty proposed), I have a partition which I'm using just to report that bug, so that I don't have to mess up every day.

fcole90 (fcole90) wrote :
fcole90 (fcole90) wrote :

The .Xauthority and .xsession-errors have been created Saturday, that means that probably they have been created before that the bug happened or at the first occurrence of the bug. Now I try to remove .Xauthority to check what happens.

fcole90 (fcole90) wrote :

Removing .Xauthority didn't help, I'm putting it where it was.

Dragoneyes (stiu) wrote :

I have the same problem. Updated yesterday from nvidia-common 0.2.91.6 to 0.2.91.7 and then restarted the computer. I see the loading logo of ubuntu, then a black screen, with no possibility to run a shell. All freezed.
Assuming the problem may be the new kernel also installed 3.13.0-36.63 I tryed the a previous version, but it filed again.
So I tryed the kernel 3.11.0-20 and finally I was able to login, but I have no hardware acceleration (with the typical warning message). Apport also made a crash report relative to xorg, but I'm no able to find the report in local or in launchpad.
Any idea how to get that bug report? I think it could help.

Dragoneyes (stiu) wrote :

I find the bug trace in var/crash
Apport titled it: "Xorg crashed with SIGABRT in OsAbort()"
(this is the crash loggin in with 3.11 kernel, resultin in workin GUI but no hardware acceleration)

Changed in ubuntu-drivers-common (Ubuntu):
importance: Undecided → Critical
assignee: nobody → Alberto Milone (albertomilone)
Changed in ubuntu-drivers-common (Ubuntu Trusty):
importance: Undecided → Critical
status: New → Triaged
Changed in xserver-xorg-video-intel (Ubuntu Trusty):
importance: Undecided → Critical
status: New → Confirmed
Changed in ubuntu-drivers-common (Ubuntu):
status: Confirmed → Fix Released
Changed in xserver-xorg-video-intel (Ubuntu Trusty):
assignee: nobody → Maarten Lankhorst (mlankhorst)
status: Confirmed → Incomplete
Changed in xserver-xorg-video-intel (Ubuntu Trusty):
status: Incomplete → In Progress
status: In Progress → Incomplete
Changed in xserver-xorg-video-intel (Ubuntu):
importance: Undecided → Critical
Changed in nvidia-graphics-drivers-331-updates (Ubuntu Trusty):
importance: Undecided → Critical
Changed in nvidia-graphics-drivers-331-updates (Ubuntu):
importance: Undecided → Critical
Changed in nvidia-graphics-drivers-331 (Ubuntu Trusty):
importance: Undecided → Critical
Changed in nvidia-graphics-drivers-331 (Ubuntu):
importance: Undecided → Critical
Changed in nvidia-graphics-drivers-304-updates (Ubuntu Trusty):
importance: Undecided → Critical
Changed in nvidia-graphics-drivers-304-updates (Ubuntu):
importance: Undecided → Critical
Changed in nvidia-graphics-drivers-304-updates (Ubuntu Trusty):
status: New → Confirmed
Changed in nvidia-graphics-drivers-331 (Ubuntu Trusty):
status: New → Confirmed
Changed in nvidia-graphics-drivers-331-updates (Ubuntu Trusty):
status: New → Confirmed
Changed in xserver-xorg-video-intel (Ubuntu):
status: New → Confirmed
67 comments hidden view all 147 comments

I would be delighted to help test the package. What do I need to do?

Ivo Wever (ivo-wever) wrote :

I'm not clear on the version of ubuntu-drivers-common that I should test it with. I'm currently up-to-date with 14.04, except for ubuntu-drivers-common, which I've locked at 0.2.91.4. The latest available version is 0.2.91.7. Should I test the xserver-xorg-video-intel 2:2.99.910-0ubuntu1.2~ppa1 from ppa:canonical-x/x-staging against that version?

@Ivo: yes, please install the intel package, regardless of the version
of ubuntu-drivers-common that you have, as it's really a bug in the
intel driver.

@steveb:

Please follow these steps:

sudo add-apt-repository ppa:canonical-x/x-staging

(say yes to the all the questions)

sudo apt-get update

sudo apt-get install xserver-xorg-video-intel

Remove nvidia:
sudo apt-get --purge remove nvidia-331 (or nvidia-331-updates, according to what you installed)

sudo apt-get install nvidia-331

Restart your computer.

Ivo Wever (ivo-wever) wrote :

OK, I upgraded to ubuntu-drivers-common 0.2.91.7 to reproduce the original problem and then installed xserver-xorg-video-intel 2:2.99.910-0ubuntu1.2~ppa1, which resolves the issue.

Great, thanks!

Aibara Iduas (aibaraiduas) wrote :

@Alberto Milone - I upgraded as well, and the blank-login-screen problem is gone (though I'm still having that issue where I can't switch between the NVIDIA and Intel cards...).

steveb (steve-borrer) wrote :
Download full text (5.0 KiB)

@Alberto - I followed the steps you gave above but the problem remains. It
has made no obvious difference after reboot: system hangs after login with
just the left hand monitor displaying an Ubuntu background.

On Mon, Oct 13, 2014 at 3:04 PM, Alberto Milone <
<email address hidden>> wrote:

> @steveb:
>
> Please follow these steps:
>
> sudo add-apt-repository ppa:canonical-x/x-staging
>
> (say yes to the all the questions)
>
> sudo apt-get update
>
> sudo apt-get install xserver-xorg-video-intel
>
> Remove nvidia:
> sudo apt-get --purge remove nvidia-331 (or nvidia-331-updates, according
> to what you installed)
>
> sudo apt-get install nvidia-331
>
> Restart your computer.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1365695
>
> Title:
> No longer able to use GUI after update
>
> Status in “nvidia-graphics-drivers-304-updates” package in Ubuntu:
> Confirmed
> Status in “nvidia-graphics-drivers-331” package in Ubuntu:
> Confirmed
> Status in “nvidia-graphics-drivers-331-updates” package in Ubuntu:
> Confirmed
> Status in “ubuntu-drivers-common” package in Ubuntu:
> Fix Released
> Status in “xserver-xorg-video-intel” package in Ubuntu:
> Confirmed
> Status in “nvidia-graphics-drivers-304-updates” source package in Trusty:
> Confirmed
> Status in “nvidia-graphics-drivers-331” source package in Trusty:
> Confirmed
> Status in “nvidia-graphics-drivers-331-updates” source package in Trusty:
> Confirmed
> Status in “ubuntu-drivers-common” source package in Trusty:
> Triaged
> Status in “xserver-xorg-video-intel” source package in Trusty:
> Incomplete
>
> Bug description:
> Until yesterday the 14.04 install on this Thinkpad T530 (nvidia
> Optimus) with nvidia-331 drivers worked just fine, including excellent
> multi-monitor behavior. Yesterday the set of packages below [1] was
> updated. I shut down, booted this morning and found out that I was not
> shown the lightdm login screen: I was stuck at the purple screen that
> precedes it (into which I enter my disk encryption password).
>
> Now the funny thing is that I could hear the lightdm startup sound and
> could actually login by typing my password (disk activity and started
> processes verify I am actually logged in), but I can't see anything:
> I'm still stuck at the puple screen.
>
> Uninstalling the nvidia drivers solved the problem: I'm typing this in
> a browser window using the nouveau drivers.
>
> I atttempted switching to nvidia-304, but that doesn't work either.
> Using those drivers I am shown the lightdm login screen, but after
> logging in I'm stuck with a screen showing only the background image.
> Nothing else is available, no keyboard or mouse trickery will reveal
> any menu, dialog or terminal to gain access.
>
> Since nouveau doesn't support a multi-monitor setup, it would be great
> if I someone could tell me how to get the nvidia drivers working
> again.
>
> Some things I noticed:
> - .xsession-errors reported 'Xlib: extension "GLX" missing on display
> ":0"'
> - /var/log/Xorg.0.log reported 'setversion 1.4 failed: Permissi...

Read more...

Some people are reporting the "blank" (background) screen before the login, some after. Are they the same bug?
(I suffer from the after-login variety)

steveb (steve-borrer) wrote :
Download full text (5.0 KiB)

I don't know if the bug I reported 1373968 , is the same as 1365695 or not,
so I reported mine as a separate bug. My symptoms are that system boots as
normal to a Ubuntu GUI login screen. After entering my password the login
screen is replaced by an Ubuntu background (14.04 LTS in the bottom left
corner of the left hand monitor (I have a dual monitor setup)). And then no
further updates to the screen. The right hand monitor is inactive the
whole time.

On Tue, Oct 14, 2014 at 10:26 AM, Alejandro Dubrovsky <
<email address hidden>> wrote:

> Some people are reporting the "blank" (background) screen before the
> login, some after. Are they the same bug?
> (I suffer from the after-login variety)
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1365695
>
> Title:
> No longer able to use GUI after update
>
> Status in “nvidia-graphics-drivers-304-updates” package in Ubuntu:
> Confirmed
> Status in “nvidia-graphics-drivers-331” package in Ubuntu:
> Confirmed
> Status in “nvidia-graphics-drivers-331-updates” package in Ubuntu:
> Confirmed
> Status in “ubuntu-drivers-common” package in Ubuntu:
> Fix Released
> Status in “xserver-xorg-video-intel” package in Ubuntu:
> Confirmed
> Status in “nvidia-graphics-drivers-304-updates” source package in Trusty:
> Confirmed
> Status in “nvidia-graphics-drivers-331” source package in Trusty:
> Confirmed
> Status in “nvidia-graphics-drivers-331-updates” source package in Trusty:
> Confirmed
> Status in “ubuntu-drivers-common” source package in Trusty:
> Triaged
> Status in “xserver-xorg-video-intel” source package in Trusty:
> Incomplete
>
> Bug description:
> Until yesterday the 14.04 install on this Thinkpad T530 (nvidia
> Optimus) with nvidia-331 drivers worked just fine, including excellent
> multi-monitor behavior. Yesterday the set of packages below [1] was
> updated. I shut down, booted this morning and found out that I was not
> shown the lightdm login screen: I was stuck at the purple screen that
> precedes it (into which I enter my disk encryption password).
>
> Now the funny thing is that I could hear the lightdm startup sound and
> could actually login by typing my password (disk activity and started
> processes verify I am actually logged in), but I can't see anything:
> I'm still stuck at the puple screen.
>
> Uninstalling the nvidia drivers solved the problem: I'm typing this in
> a browser window using the nouveau drivers.
>
> I atttempted switching to nvidia-304, but that doesn't work either.
> Using those drivers I am shown the lightdm login screen, but after
> logging in I'm stuck with a screen showing only the background image.
> Nothing else is available, no keyboard or mouse trickery will reveal
> any menu, dialog or terminal to gain access.
>
> Since nouveau doesn't support a multi-monitor setup, it would be great
> if I someone could tell me how to get the nvidia drivers working
> again.
>
> Some things I noticed:
> - .xsession-errors reported 'Xlib: extension "GLX" missing on display
> ":0"'
> - /var/log/Xorg.0.log reported 'setversion 1.4 fail...

Read more...

l0j1k (curtis-zimmerman) wrote :

At least two of us (myself and the second poster) were reporting a problem with the Optimus functionality on a Thinkpad W530 where the laptop dock's VGA port is not recognized by Nvidia, but which can be fixed after the downgrade to ubuntu-drivers-common 0.2.91.5. I replicated the problem by upgrading the package and then trying your xserver-xorg-video-intel from the ppa and it did not fix the problem, but I'm pretty sure that we have a separate issue. The issue we're experiencing is the VGA port on the laptop dock (which is controlled by the Intel chipset) isn't recognized by the Nvidia drivers with Optimus enabled for automatic selection.

@l0j1k: that is definitely a separate issue.

The problem is still present with latest upgrade. Dell latitude e6510

Hello Ivo, or anyone else affected,

Accepted xserver-xorg-video-intel into trusty-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/xserver-xorg-video-intel/2:2.99.910-0ubuntu1.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in xserver-xorg-video-intel (Ubuntu Trusty):
status: Incomplete → Fix Committed
tags: added: verification-needed

I installed the propsed package and it resovled the issue for me (W530/Optimus).

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xserver-xorg-video-intel - 2:2.99.910-0ubuntu1.2

---------------
xserver-xorg-video-intel (2:2.99.910-0ubuntu1.2) trusty-proposed; urgency=medium

  [ Maarten Lankhorst ]
  * Fix black screen with SNA. (LP: #1365695)

  [ Timo Aaltonen ]
  * fix-no-backlight.diff: Don't let backlight switch off when cycling
    through display modes. (LP: #1373776)
 -- Maarten Lankhorst <email address hidden> Mon, 20 Oct 2014 09:54:57 +0200

Changed in xserver-xorg-video-intel (Ubuntu Trusty):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for xserver-xorg-video-intel has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Hello Ivo, or anyone else affected,

Accepted xserver-xorg-video-intel-lts-trusty into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/xserver-xorg-video-intel-lts-trusty/2:2.99.910-0ubuntu1.3~precise1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: removed: verification-done
tags: added: verification-needed
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in xserver-xorg-video-intel-lts-trusty (Ubuntu Trusty):
status: New → Confirmed
Changed in xserver-xorg-video-intel-lts-trusty (Ubuntu):
status: New → Confirmed
1 comments hidden view all 147 comments

Yesterday I updated my pc then this issue arised.

Notebook : Asus K55v
Graphics adapter : Nvidia GeForce 610M ( + Intel optimus tecnology )
OS : Ubuntu 14.04 64 bit

Drivers :
   xserver-xorg-video-intel version 2:2.99.910-0ubuntu1.3 (trusty-updates)
   ubuntu-drivers-common version 1:0.2.91.7 (trusty-updates)
   nvidia-331 version 331.38-0ubuntu7.1 ( trusty-updates)

No problem arise when the external VGA monitor is not connected,
the notebook (without external VGA monitor), works fine in both mode (Nvidia or Intel switched using nvidia-prime) and 3D acceleration also work fine (over 5000 FPS in glxgears) when "Nvidia" is selected.

When the VGA monitor is connected it can works only in "Intel" mode, switching to GPU "Nvidia" lead the problems that the others have reported above.

Waiting for a stable fix, the workaround suggested by Dragoneyes at post #41 (downgrade ubuntu-drivers-common to version 1:0.2.91.4) worked for me.

Thank you all

sohel (sohelmk) wrote :

The original issue reported in this bug (unable to get login window) is resolved but external monitor is no longer working.
Earlier it worked without any issues.

Ubuntu 14.04 on Lenovo W530

Timo Aaltonen (tjaalton) on 2014-12-05
tags: added: verification-done
removed: verification-needed
Changed in xserver-xorg-video-intel-lts-trusty (Ubuntu Trusty):
status: Confirmed → Invalid
Robert Hooker (sarvatt) on 2014-12-08
no longer affects: hwe-next
Mathew Hodson (mathew-hodson) wrote :

There should be a Precise task opened for xserver-xorg-video-intel-lts-trusty, because that is where it is available.

Luke Swart (lukeswart) wrote :

I have the same problem as sohel, where the original issue is fixed but my external monitor is not detected by Nvidia Prime. I created a question here:

http://askubuntu.com/questions/550750/nvidia-prime-does-not-detect-external-vga-monitor-after-updating-ubuntu-drivers

but there are no answers. I have held `ubuntu-drivers-common` at version 0.2.91.5, which allows me to use the external monitor, but it causes other problems. Before this issue occurred, my setup was working fine.

Ubuntu 14.04 on Lenovo W520

Mathew Hodson (mathew-hodson) wrote :

This bug was fixed in the package xserver-xorg-video-intel-lts-trusty - 2:2.99.910-0ubuntu1.3~precise1

Changed in xserver-xorg-video-intel-lts-trusty (Ubuntu Precise):
status: New → Fix Released
Changed in nvidia-graphics-drivers-304-updates (Ubuntu Precise):
importance: Undecided → Critical
status: New → Confirmed
Changed in nvidia-graphics-drivers-331 (Ubuntu Precise):
importance: Undecided → Critical
status: New → Confirmed
Changed in nvidia-graphics-drivers-331-updates (Ubuntu Precise):
importance: Undecided → Critical
status: New → Confirmed
Changed in ubuntu-drivers-common (Ubuntu Precise):
importance: Undecided → Critical
status: New → Confirmed
Changed in xserver-xorg-video-intel (Ubuntu Precise):
importance: Undecided → Critical
status: New → Confirmed
Changed in xserver-xorg-video-intel-lts-trusty (Ubuntu):
importance: Undecided → Critical
Changed in xserver-xorg-video-intel-lts-trusty (Ubuntu Precise):
importance: Undecided → Critical
Changed in xserver-xorg-video-intel-lts-trusty (Ubuntu Trusty):
importance: Undecided → Critical
tags: added: precise
Changed in nvidia-graphics-drivers-304-updates (Ubuntu Trusty):
status: Confirmed → Triaged
Changed in nvidia-graphics-drivers-304-updates (Ubuntu Precise):
status: Confirmed → Triaged
Changed in nvidia-graphics-drivers-304-updates (Ubuntu):
status: Confirmed → Triaged
Changed in nvidia-graphics-drivers-331 (Ubuntu):
status: Confirmed → Triaged
Changed in nvidia-graphics-drivers-331 (Ubuntu Precise):
status: Confirmed → Triaged
Changed in nvidia-graphics-drivers-331 (Ubuntu Trusty):
status: Confirmed → Triaged
Changed in nvidia-graphics-drivers-331-updates (Ubuntu):
status: Confirmed → Triaged
Changed in nvidia-graphics-drivers-331-updates (Ubuntu Precise):
status: Confirmed → Triaged
Changed in nvidia-graphics-drivers-331-updates (Ubuntu Trusty):
status: Confirmed → Triaged
Changed in ubuntu-drivers-common (Ubuntu Precise):
status: Confirmed → Triaged
Changed in xserver-xorg-video-intel (Ubuntu):
status: Confirmed → Triaged
Changed in xserver-xorg-video-intel (Ubuntu Precise):
status: Confirmed → Triaged
Changed in xserver-xorg-video-intel-lts-trusty (Ubuntu):
status: Confirmed → Triaged
Changed in ubuntu-drivers-common (Ubuntu Precise):
status: Triaged → Invalid
Changed in ubuntu-drivers-common (Ubuntu Trusty):
status: Triaged → Fix Released
Changed in xserver-xorg-video-intel-lts-trusty (Ubuntu):
status: Triaged → Fix Released
Changed in xserver-xorg-video-intel (Ubuntu):
status: Triaged → Fix Released
Changed in xserver-xorg-video-intel (Ubuntu Precise):
status: Triaged → Invalid
Dragoneyes (stiu) wrote :

The issue I described in post #39 is still present (I'm stuck to ubuntu-drivers-common to version 1:0.2.91.4), but seems what I described is a different bug than many users reported here. What I need to do? Open a new bug?
Thanks

nicola (nicola-ss4) wrote :

Hi, I'm Nicola and for me downgrade ubuntu-drivers-common to version 1:0.2.91.4 doesn't work.

I tried all version, also all nvidia driver available version (331,340,346,..),
but I obtain always black screen on login.

Right now the only way for me is use bumblebee with nvidia 304 (current)

Notebook: Santech N77
VGA: Nvidia GeForce GT675MX
OS: Ubuntu 14.04 64bit

Greg Meyer (gmmeyer) wrote :

I'm on Utopic, and have been having this problem for ages. Just to confirm, I can't take the hold off ubuntu-drivers-common without breaking everything, right?`

Greg Meyer (gmmeyer) wrote :

I answered my own question! It now works for me! Thanks, everyone!

nicola (nicola-ss4) wrote :

Hi,

has anyone tried the last nvidia 346.35?

FairMiles (fermilesi) wrote :

@nicola

Had tried nvidia-346 from xorg-edgers and it's the same thing... (no desktop after login in my case; have tried nvidia-331 and nvidia-331-updates). With nouveau drivers I get to the desktop (though I can't change resolution to wide-screen)

[Asus N53, Optimus, GT425M, fresh install 14.04.1 LTS 64 bits]

FairMiles (fermilesi) wrote :

[#137 follow up]

...and if I remove "nomodeset" in GRUB (necessary for install and then fixed in GRUB, I was unaware) then nouveau driver hangs awfullly!

I can then install nvidia-331 and get to use intel on-board after sudo prime-select intel

But still I can't get a desktop with nvidia driver working [blank screen now, though I can get a console to swap to intel driver]

Downgrading to ubuntu-drivers-common=1:0.2.91.4 nvidia-common=1:0.2.91.4 gets me to the login screen [instead of the black screen] and then to a distorted desktop (odd resolution)

Still trying...

Jaime Pereira (jaimepereira) wrote :

I had the same issue. After choose NVIDIA legacy binary driver-version 304.125 (proprietary tested and 304.125 with updates). After reboot I lost my desktop and forced to reinstall the system from the DVD.
Before, I tried to update from 14.10 and failed.
Only works with X.Org X server-Nouveau display driver.
Ubuntu 15.10 Beta 2

Paul Nielsen (pnielsenx) wrote :

After update of 12.04 LTS from kernel 3.8.0-44-generic to kernel 3.8.0-51-generic the video no longer works on my Dell M65 with nvidia graphics card. Upgrade to 14.04 LTS completely kills the graphics also.

I wonder if all these problems reported don't have something to do with the kernel version as well. I've attached the log generated by the graphics system when it won't start. in the case of the upgrade from 3.8.0-44 to 3.8.0-51. I hope this means something to the experts.

Vazquez Gaël (gaelzzz) on 2015-05-02
Changed in nvidia-graphics-drivers-331 (Ubuntu):
assignee: nobody → Vazquez Gaël (gaelzzz)
Changed in ubuntu-drivers-common (Ubuntu):
assignee: Alberto Milone (albertomilone) → valentin Melamed (valio12melamed)
thestrict (the-strict) on 2015-06-25
Changed in nvidia-graphics-drivers-331 (Ubuntu):
assignee: Vazquez Gaël (gaelzzz) → thestrict (the-strict)
status: Triaged → New
assignee: thestrict (the-strict) → nobody
mustafa (exakt-clean) wrote :

<email address hidden>

benoit (vinot-benoit) wrote :

Hi,

I have tried to install the last nvidia-352 from the following ppa https://launchpad.net/~xorg-edgers/+archive to replace nvidia-340. I still have a black screen with the lightdm music when I start my computer (Asus 64 bits: ubuntu 14.04: Optimus technology).
The workaround I currently use is to set my computer in sleep mode (Fn+F1 on my keyboard) and to wake it up just after (Fn+F1 again). Then the screen works fine with the nvidia card. If it can help...

In my situation (and old GeForce Go 6400), with a fresh install of ubuntu 14.04 (some weeks ago all worked ok):
1) with nouveau drivers I can login but using dash hangs X (strange visual effects)
2) switching to nvidia makes screen blank at login

I only solved switching to gnome from unity.

Changed in ubuntu-drivers-common (Ubuntu Trusty):
assignee: nobody → Chintana Prabhu (chintanarp98)
dino99 (9d9) on 2015-10-02
Changed in ubuntu-drivers-common (Ubuntu Trusty):
assignee: Chintana Prabhu (chintanarp98) → nobody
Changed in ubuntu-drivers-common (Ubuntu):
assignee: valentin Melamed (valio12melamed) → nobody
Alexander (sality) wrote :

Hi everyone!

After upgrade my Ubuntu 15.04 to 15.10 I encountered this problem. Black screen after switching video.

os - ubuntu 15.10
nvidia driver - 352 (from officiality Wily repository)
kernel - 4.2.0-12-generic #14-Ubuntu SMP Mon Sep 28 18:36:22 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux
ubuntu-drivers-common - Installed: 1:0.4.10
nvidia-common - Installed: (none)
nvidia-prime - Installed: 0.8.1

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in nvidia-graphics-drivers-331 (Ubuntu):
status: New → Confirmed
Changed in nvidia-graphics-drivers-331 (Ubuntu):
status: Confirmed → Triaged
Thies Thate (m-j-thate) wrote :

Hi everyone,

I work with a Lenovo ThinkStation E32 with a Lenovo Monitor ThinkVision LT2252P(1680x1050)
The graphic card is a NVIDIA GM107 [GeForce GTX 750 Ti]

Up to now I worked with UBUNTU 15.04 and KUBUNTU 15.04 with no graphic problems.

After changing from 15.04 to 15.10 (complete new installations no upgrade) I have problems
with the above mentioned card. The screen crashes already during the installation and the
screen resolution changes to a lower value. (both for VGA and DVI-D)

So I returned to the 15.04 UBUNTU versions.

When do you expect the nouveau driver can handle this card for the UBUNtTU and KUBUNTU
15.10 versions?

(15.10 UBUNTU and KUBUNTU work fine if I switch to the onboard VGA graphics)

dino99 (9d9) wrote :

the reported issue might be gone since a while.
#146 problem should not exist, and is related to that specific installation.

Changed in nvidia-graphics-drivers-304-updates (Ubuntu):
status: Triaged → Incomplete
Changed in nvidia-graphics-drivers-304-updates (Ubuntu Precise):
status: Triaged → Incomplete
Changed in nvidia-graphics-drivers-304-updates (Ubuntu Trusty):
status: Triaged → Incomplete
Changed in nvidia-graphics-drivers-331 (Ubuntu):
status: Triaged → Incomplete
Changed in nvidia-graphics-drivers-331 (Ubuntu Precise):
status: Triaged → Incomplete
Changed in nvidia-graphics-drivers-331 (Ubuntu Trusty):
status: Triaged → Incomplete
Changed in nvidia-graphics-drivers-331-updates (Ubuntu):
status: Triaged → Incomplete
Changed in nvidia-graphics-drivers-331-updates (Ubuntu Precise):
status: Triaged → Incomplete
Changed in nvidia-graphics-drivers-331-updates (Ubuntu Trusty):
status: Triaged → Incomplete
Changed in xserver-xorg-video-intel (Ubuntu Trusty):
assignee: Maarten Lankhorst (mlankhorst) → nobody
dino99 (9d9) on 2016-02-18
Changed in nvidia-graphics-drivers-304-updates (Ubuntu):
status: Incomplete → Invalid
Changed in nvidia-graphics-drivers-304-updates (Ubuntu Precise):
status: Incomplete → Invalid
Changed in nvidia-graphics-drivers-304-updates (Ubuntu Trusty):
status: Incomplete → Invalid
Changed in nvidia-graphics-drivers-331 (Ubuntu):
status: Incomplete → Invalid
Changed in nvidia-graphics-drivers-331 (Ubuntu Precise):
status: Incomplete → Invalid
Changed in nvidia-graphics-drivers-331 (Ubuntu Trusty):
status: Incomplete → Invalid
Changed in nvidia-graphics-drivers-331-updates (Ubuntu):
status: Incomplete → Invalid
Changed in nvidia-graphics-drivers-331-updates (Ubuntu Precise):
status: Incomplete → Invalid
Changed in nvidia-graphics-drivers-331-updates (Ubuntu Trusty):
status: Incomplete → Invalid
Displaying first 40 and last 40 comments. View all 147 comments or add a comment.